Bug 1280058 - iconv appears to be adding a duplicate "SI" to the output for certain inputs
iconv appears to be adding a duplicate "SI" to the output for certain inputs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.11
All Linux
unspecified Severity high
: rc
: 5.11
Assigned To: Carlos O'Donell
qe-baseos-tools
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 15:56 EST by Jacob Hunt
Modified: 2016-01-25 14:36 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A defect in the character conversion routines for the IBM930, IBM933, IBM935, IBM937, and IBM939 character sets could result in a redundant shift sequence being output under certain library internal conditions. The redundant shift sequence makes the output non-conforming and can result in an inability to read back the output data. The character conversion routines have been corrected and no longer output a redundant shift sequence.
Story Points: ---
Clone Of:
: 1293914 1293916 (view as bug list)
Environment:
Last Closed: 2016-01-25 13:56:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 17197 None None None Never

  None (edit)
Description Jacob Hunt 2015-11-10 15:56:51 EST
Created attachment 1092445 [details]
input file for iconv

Description of problem:

When a shift character is emitted at the end of the buffer the internal
shift state is not updated, causing the next round to emit another shift
character.

Version-Release number of selected component (if applicable):

glibc-2.12-1.166.el6_7.1.i686
glibc-2.12-1.166.el6_7.1.x86_64
glibc-common-2.12-1.166.el6_7.1.x86_64
glibc-devel-2.12-1.166.el6_7.1.i686
glibc-devel-2.12-1.166.el6_7.1.x86_64
glibc-headers-2.12-1.166.el6_7.1.x86_64

How reproducible:

always

Steps to Reproduce:
1. Use the attached file to run through “iconv -f utf8 -t Cp935”

Actual results:

The resulting file has two "SI" outputs together where just one should be present.

Additional info:

Believe the issue to be this bug, https://patchwork.ozlabs.org/patch/442951/
Comment 2 Martin Sebor 2015-12-01 16:44:50 EST
The upstream bug (https://sourceware.org/bugzilla/show_bug.cgi?id=17204) is still open and none of the patches has been committed.
Comment 4 Carlos O'Donell 2015-12-02 21:04:01 EST
(In reply to Martin Sebor from comment #2)
> The upstream bug (https://sourceware.org/bugzilla/show_bug.cgi?id=17204) is
> still open and none of the patches has been committed.

That should be upstream bug 17197.
Comment 34 Matt Newsome 2016-01-25 13:56:05 EST
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux. We've carefully evaluated the request, but are unable to include it in a future release of Red Hat Enterprise Linux. To request that Red Hat re-consider this request, please re-open the bugzilla via appropriate support channels and provide additional business and/or technical details about its importance to you.
Comment 35 Matt Newsome 2016-01-25 14:36:50 EST
(In reply to Matt Newsome from comment #34)
> We've carefully evaluated the request, but are unable to include it
> in a future release of Red Hat Enterprise Linux.

To be fully accurate, we are unable to include it in a future release of Red Hat Enterprise Linux 5, though we do hope to fix this in later major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.